> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ドメインを移動

> Move a customer domain to another workspace in the same account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json POST /v1/public/accounts/{account_id}/domains/{domain}/move
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}/move:
    post:
      tags:
        - public-accounts
        - public-domains
      summary: ドメインを移動
      description: Move a customer domain to another workspace in the same account.
      operationId: >-
        move_public_domain_v1_public_accounts__account_id__domains__domain__move_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainMoveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainMoveResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainMoveRequest:
      additionalProperties: false
      description: ドメインを別のワークスペースへ移動するためのスキーマ。
      properties:
        target_workspace_id:
          format: uuid4
          title: 移動先ワークスペース ID
          type: string
      required:
        - target_workspace_id
      title: DomainMoveRequest
      type: object
    DomainMoveResponse:
      properties:
        account_id:
          format: uuid4
          title: アカウント ID
          type: string
        domain_id:
          format: uuid4
          title: ドメイン ID
          type: string
        domain_name:
          title: ドメイン名
          type: string
        from_workspace_id:
          format: uuid4
          title: 移動元ワークスペース ID
          type: string
        reconciled:
          $ref: '#/components/schemas/DomainMoveReconciled'
        status:
          default: moved
          title: ステータス
          type: string
        to_workspace_id:
          format: uuid4
          title: 移動先ワークスペース ID
          type: string
      required:
        - domain_id
        - domain_name
        - account_id
        - from_workspace_id
        - to_workspace_id
        - reconciled
      title: DomainMoveResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    DomainMoveReconciled:
      description: 調整されたリンク済みレコードの概要。
      properties:
        linked_records_changed:
          default: 0
          title: 変更されたリンク済みレコード
          type: integer
      title: DomainMoveReconciled
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````